com.genesyslab.wfm7.API.service.adherence712

## Class AdhDayEvent

- java.lang.Object
- - com.genesyslab.wfm7.API.service.adherence712.AdhDayEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhDayEvent
      extends java.lang.Object
      implements java.io.Serializable

  Most often Agent Adherence Events are presented grouped by calendar days in reports. To make it more convenient Aherence Service also provides Agent Adherence Events grouped by day as a separate record.
  See Also:
    `WFMAdherenceService712Soap.getDayEventAsync(int, double, double, int[], int[], boolean, boolean, boolean, boolean)`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private double` | `wmAdherencePerc` A percentage of adherent state time of the day.
    `private double` | `wmDate` Calendar date designating day.
    `private AdhEvent[]` | `wmEvents` An array of Adherence Events (`AdhEvent`) that have occured on this day.
    `private int` | `wmEventsNSizeIs` Number of elements in wmEvents array
    `private int` | `wmNonAdherenceDuration` Total non-adherence state duration for the day in seconds.
    `private int` | `wmOutOfScheduleNonAdherenceDuration` Total out-of-schedule non-adherence state duration for the day in seconds.
    `private int` | `wmScheduleDuration` Total schedule duration for the day in seconds.
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhDayEvent()`
    `AdhDayEvent(int wmSiteId, int gswAgentId, double wmDate, int wmEventsNSizeIs, AdhEvent[] wmEvents, int wmNonAdherenceDuration, int wmOutOfScheduleNonAdherenceDuration, int wmScheduleDuration, double wmAdherencePerc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this AdhDayEvent.
    `double` | `getWmAdherencePerc()` Gets the wmAdherencePerc value for this AdhDayEvent.
    `double` | `getWmDate()` Gets the wmDate value for this AdhDayEvent.
    `AdhEvent[]` | `getWmEvents()` Gets the wmEvents value for this AdhDayEvent.
    `int` | `getWmEventsNSizeIs()` Gets the wmEventsNSizeIs value for this AdhDayEvent.
    `int` | `getWmNonAdherenceDuration()` Gets the wmNonAdherenceDuration value for this AdhDayEvent.
    `int` | `getWmOutOfScheduleNonAdherenceDuration()` Gets the wmOutOfScheduleNonAdherenceDuration value for this AdhDayEvent.
    `int` | `getWmScheduleDuration()` Gets the wmScheduleDuration value for this AdhDayEvent.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this AdhDayEvent.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this AdhDayEvent.
    `void` | `setWmAdherencePerc(double wmAdherencePerc)` Sets the wmAdherencePerc value for this AdhDayEvent.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this AdhDayEvent.
    `void` | `setWmEvents(AdhEvent[] wmEvents)` Sets the wmEvents value for this AdhDayEvent.
    `void` | `setWmEventsNSizeIs(int wmEventsNSizeIs)` Sets the wmEventsNSizeIs value for this AdhDayEvent.
    `void` | `setWmNonAdherenceDuration(int wmNonAdherenceDuration)` Sets the wmNonAdherenceDuration value for this AdhDayEvent.
    `void` | `setWmOutOfScheduleNonAdherenceDuration(int wmOutOfScheduleNonAdherenceDuration)` Sets the wmOutOfScheduleNonAdherenceDuration value for this AdhDayEvent.
    `void` | `setWmScheduleDuration(int wmScheduleDuration)` Sets the wmScheduleDuration value for this AdhDayEvent.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this AdhDayEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### gswAgentId

          private int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### wmDate

          private double wmDate

      Calendar date designating day. `OleDateTime`

    - #### wmEventsNSizeIs

          private int wmEventsNSizeIs

      Number of elements in wmEvents array

    - #### wmEvents

          private AdhEvent[] wmEvents

      An array of Adherence Events (`AdhEvent`) that have occured on this day.

    - #### wmNonAdherenceDuration

          private int wmNonAdherenceDuration

      Total non-adherence state duration for the day in seconds.

    - #### wmOutOfScheduleNonAdherenceDuration

          private int wmOutOfScheduleNonAdherenceDuration

      Total out-of-schedule non-adherence state duration for the day in seconds.

    - #### wmScheduleDuration

          private int wmScheduleDuration

      Total schedule duration for the day in seconds.

    - #### wmAdherencePerc

          private double wmAdherencePerc

      A percentage of adherent state time of the day.

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AdhDayEvent

          public AdhDayEvent()

    - #### AdhDayEvent

          public AdhDayEvent(int wmSiteId,
                     int gswAgentId,
                     double wmDate,
                     int wmEventsNSizeIs,
                     AdhEvent[] wmEvents,
                     int wmNonAdherenceDuration,
                     int wmOutOfScheduleNonAdherenceDuration,
                     int wmScheduleDuration,
                     double wmAdherencePerc)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this AdhDayEvent.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this AdhDayEvent.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this AdhDayEvent.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this AdhDayEvent.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this AdhDayEvent.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this AdhDayEvent.
      Parameters:
        `wmDate` -

    - #### getWmEventsNSizeIs

          public int getWmEventsNSizeIs()

      Gets the wmEventsNSizeIs value for this AdhDayEvent.
      Returns:
        wmEventsNSizeIs

    - #### setWmEventsNSizeIs

          public void setWmEventsNSizeIs(int wmEventsNSizeIs)

      Sets the wmEventsNSizeIs value for this AdhDayEvent.
      Parameters:
        `wmEventsNSizeIs` -

    - #### getWmEvents

          public AdhEvent[] getWmEvents()

      Gets the wmEvents value for this AdhDayEvent.
      Returns:
        wmEvents

    - #### setWmEvents

          public void setWmEvents(AdhEvent[] wmEvents)

      Sets the wmEvents value for this AdhDayEvent.
      Parameters:
        `wmEvents` -

    - #### getWmNonAdherenceDuration

          public int getWmNonAdherenceDuration()

      Gets the wmNonAdherenceDuration value for this AdhDayEvent.
      Returns:
        wmNonAdherenceDuration

    - #### setWmNonAdherenceDuration

          public void setWmNonAdherenceDuration(int wmNonAdherenceDuration)

      Sets the wmNonAdherenceDuration value for this AdhDayEvent.
      Parameters:
        `wmNonAdherenceDuration` -

    - #### getWmOutOfScheduleNonAdherenceDuration

          public int getWmOutOfScheduleNonAdherenceDuration()

      Gets the wmOutOfScheduleNonAdherenceDuration value for this AdhDayEvent.
      Returns:
        wmOutOfScheduleNonAdherenceDuration

    - #### setWmOutOfScheduleNonAdherenceDuration

          public void setWmOutOfScheduleNonAdherenceDuration(int wmOutOfScheduleNonAdherenceDuration)

      Sets the wmOutOfScheduleNonAdherenceDuration value for this AdhDayEvent.
      Parameters:
        `wmOutOfScheduleNonAdherenceDuration` -

    - #### getWmScheduleDuration

          public int getWmScheduleDuration()

      Gets the wmScheduleDuration value for this AdhDayEvent.
      Returns:
        wmScheduleDuration

    - #### setWmScheduleDuration

          public void setWmScheduleDuration(int wmScheduleDuration)

      Sets the wmScheduleDuration value for this AdhDayEvent.
      Parameters:
        `wmScheduleDuration` -

    - #### getWmAdherencePerc

          public double getWmAdherencePerc()

      Gets the wmAdherencePerc value for this AdhDayEvent.
      Returns:
        wmAdherencePerc

    - #### setWmAdherencePerc

          public void setWmAdherencePerc(double wmAdherencePerc)

      Sets the wmAdherencePerc value for this AdhDayEvent.
      Parameters:
        `wmAdherencePerc` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.